#{extends 'common/landing-base.html' /}
#{set 'title'}
Registrasi Admin K/L/P/D
#{/set}
<section class="header-artikel">
    <div class="ui grid">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Rekap Pengadaan Berdasarkan Jenis Pengadaan</h2>
        </div>
    </div>
</section>
<br />
<section >
    <div class="ui container">
        <div class="sixteen wide column">
            <div class="ui breadcrumb">
                <a href="https://monev-ng.cloud.javan.co.id" class="section">Home</a>
                <div class="divider"> / </div>
                <div class="active section">Rekap Pengadaan</div>
            </div>
            <div class="ui divider hidden"></div>
        </div>
        <div class="ui divider hidden"></div>
        <form class="table-form" method="GET">

        <div class="ui two column grid stackable">
            <div class="ui left floated column">
                <div class="ui search">

                </div>
            </div>
            <div class="ui right aligned column">
                <div class="ui right floated column">
                    <div class="ui dropdown selection">
                        <input type="hidden" name="filter" value="${currentFilter}">
                        <i class="dropdown icon"></i>
                        <div class="default text">${currentFilter}</div>
                        <div class="menu">
                            #{list items:filters, as:'filter'}
                                <div class="item" data-url="${filterUrls[filter_index - 1]}" data-value="${filter_index - 1}">${filter}</div>
                            #{/list}
                        </div>
                    </div>
                </div>
            </div>
        </div>
            <p style="font-style: italic">Tekan row pada tabel untuk melakukan filtering dan melihat detail.</p>
            #{dashboard.jenis-table result:tenderType, paramName:'type', value:tenderType?.getParamAble().getType() /}
            #{if paramAble?.isTypeExist()}
                #{dashboard.jenis-table result:region, paramName:'region', value:paramAble?.getRegion() /}
            #{/if}
            #{if paramAble?.isRegionExist()}
                #{dashboard.jenis-table result:kldiType, paramName:'kldiType', value:paramAble?.getKldiType() /}
            #{/if}
            #{if kldi?.getParamAble()?.isKldiTypeExist()}
                #{dashboard.jenis-table result:kldi, paramName:'kldi', value:kldi?.getParamAble()?.getKldi() /}
                #{pagination kldi /}
            #{/if}
            #{if satker?.getParamAble()?.isKldiExist()}
                #{dashboard.jenis-table result:satker, paramName:'satker', clickAble:false /}
                #{pagination satker /}
            #{/if}

        <br />
        </form>
    </div>
</section>

#{set 'moreScripts'}
    <script src="@{'/public/assets/semantic/components/dropdown.min.js'}"></script>
    <script>
        $('.dropdown')
              .dropdown({
                action: 'hide',
                onChange: function(value, text, $selectedItem) {
                    location = $selectedItem.data('url')
                }
              });
    </script>
    <script type="text/javascript">
        $('table.click-able > tbody > tr').click(function() {
            let element = $(this)
            let value = element.data('value')
            let paramName = element.data('id')
            let className = 'param-name-' + paramName
            let tables = [...$('input[type="hidden"]')].filter(e => e.className.includes('param-name'))
            let index = tables.findIndex(e => e.className === className)
            let arr = tables.splice(index)
            arr.forEach(e => {
                $('.' + e.className).val('')
            })
            $('.' + className).val(value)
            element.siblings().removeClass('active')
            element.addClass('active')
            $('.table-form').submit()
        })
    </script>
#{/set}
